## kio-gdrive 1.2.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

set(GDRIVE_VERSION 1.2.2)
project(kio-gdrive VERSION ${GDRIVE_VERSION})

set(QT_MIN_VERSION 5.2.0)
set(KF5_MIN_VERSION 5.14.0)
set(KGAPI_MIN_VERSION 5.5.0)
set(KACCOUNTS_MIN_VERSION 17.04.0)
set(QTKEYCHAIN_MIN_VERSION 0.6.0)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Gui
    Network
    Widgets)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${ECM_MODULE_PATH})

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    I18n
    DocTools
    KIO)

find_package(KPimGAPI ${KGAPI_MIN_VERSION} REQUIRED)

find_package(KAccounts ${KACCOUNTS_MIN_VERSION})
set_package_properties(KAccounts PROPERTIES
    TYPE RECOMMENDED
    URL "https://commits.kde.org/kaccounts-integration"
    PURPOSE "Enables integration with system-wide accounts.")

if (NOT KAccounts_FOUND)
    find_package(Qt5Keychain ${QTKEYCHAIN_MIN_VERSION} REQUIRED)
    set_package_properties(Qt5Keychain PROPERTIES
        URL "https://github.com/frankosterfeld/qtkeychain"
        PURPOSE "Required for secure storage of accounts secrets.")
    message(STATUS "Building the QtKeychain backend.")
endif()

find_package(Qt5Test QUIET)
set_package_properties(Qt5Test PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Required for building tests.")

if(NOT Qt5Test_FOUND)
   set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
endif()

ecm_setup_version(PROJECT
    VARIABLE_PREFIX GDRIVE
    VERSION_HEADER gdriveversion.h)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_STRICT_ITERATORS)
add_definitions(-DTRANSLATION_DOMAIN=\"kio5_gdrive\")

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()
add_subdirectory(desktop)
add_subdirectory(doc)
add_subdirectory(src)

if (KAccounts_FOUND)
    message(STATUS "Building the KAccounts backend.")
    add_subdirectory(kaccounts)
endif()


feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

  find_package(KF5DocTools CONFIG)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif()

=== src/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR})
include_directories(${CMAKE_BINARY_DIR})

set(kio_gdrive_SRCS
    kio_gdrive.cpp
    pathcache.cpp
    abstractaccountmanager.cpp
    gdrivehelper.cpp
    gdriveurl.cpp)

if (KAccounts_FOUND)
    set(BACKEND_SRC kaccountsmanager.cpp)
    set(BACKEND_HEADER kaccountsmanager.h)
    set(BACKEND_CLASSNAME KAccountsManager)
    set(BACKEND_LIBS KAccounts)
else()
    set(BACKEND_SRC keychainaccountmanager.cpp)
    set(BACKEND_HEADER keychainaccountmanager.h)
    set(BACKEND_CLASSNAME KeychainAccountManager)
    set(BACKEND_LIBS ${QTKEYCHAIN_LIBRARIES})
endif()

set(kio_gdrive_SRCS ${kio_gdrive_SRCS} ${BACKEND_SRC})
configure_file(gdrivebackend.h.in ${CMAKE_CURRENT_BINARY_DIR}/gdrivebackend.h)

ecm_qt_declare_logging_category(kio_gdrive_SRCS
    HEADER gdrivedebug.h
    IDENTIFIER GDRIVE
    CATEGORY_NAME kf5.kio.gdrive)

kcoreaddons_add_plugin(kio_gdrive
    SOURCES ${kio_gdrive_SRCS}
    INSTALL_NAMESPACE kf5/kio)

target_link_libraries(kio_gdrive
    Qt5::Core
    Qt5::Network
    KPim::GAPICore
    KPim::GAPIDrive
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::I18n
    ${BACKEND_LIBS})

set_target_properties(kio_gdrive PROPERTIES OUTPUT_NAME "gdrive")

=== debian/changelog ===
kio-gdrive (1.2.2-0ubuntu1) bionic; urgency=medium

  * New upstream bugfix release (1.2.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 31 Mar 2018 18:16:11 +0100

kio-gdrive (1.2.1-0ubuntu1) bionic; urgency=medium

  * Initial release to Ubuntu (LP: #1751459).

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 24 Feb 2018 15:56:28 -0600

=== debian/control ===
Source: kio-gdrive
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>=10),
               extra-cmake-modules (>= 5.24.0~),
               intltool,
               kdoctools-dev,
               libaccounts-glib-dev,
               libkaccounts-dev (>=17.04~),
               libkf5kio-dev (>= 5.24.0~),
               libkpimgapi-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qt5keychain-dev,
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 4.1.3
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-gdrive
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-gdrive

Package: kio-gdrive
Architecture: any
Depends: kaccounts-integration,
         kaccounts-providers,
         ${misc:Depends},
         ${shlibs:Depends}
Enhances: dolphin
Description: KIO access for Google Drive
 KIO GDrive enables KIO-aware applications (such as Dolphin, Kate
 or Gwenview) to access and edit Google Drive files on the cloud.

## kio-gdrive 1.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.0)
 
-set(GDRIVE_VERSION 1.2.2)
+set(GDRIVE_VERSION 1.2.4)
 project(kio-gdrive VERSION ${GDRIVE_VERSION})
 
 set(QT_MIN_VERSION 5.2.0)

=== kaccounts/CMakeLists.txt ===
find_package(KF5Notifications ${KF5_MIN_VERSION} REQUIRED)
find_package(Intltool REQUIRED)

kaccounts_add_service(${CMAKE_CURRENT_SOURCE_DIR}/google-drive.service.in)

kcoreaddons_add_plugin(kaccounts_gdrive
    SOURCES kaccountsplugin.cpp
    INSTALL_NAMESPACE kaccounts/daemonplugins)

set_target_properties(kaccounts_gdrive PROPERTIES OUTPUT_NAME "gdrive")
target_link_libraries(kaccounts_gdrive
    KAccounts
    KF5::KIOWidgets
    KF5::I18n
    KF5::Notifications)

install(FILES gdrive.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR})

=== debian/changelog ===
kio-gdrive (1.2.4-1) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * New upstream version.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 14 Jul 2018 18:35:22 +0200

kio-gdrive (1.2.3-1) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * New upstream version.  This release includes a full-text copy of the
    GPL-3+ used by cmake/modules/FindIntltool.cmake (Closes: #895706)

  [ Pino Toscano ]
  * Remove debian/gbp.conf, as the packaging repository does not use
    git buildpackage.
  * Replace the transitional build dependencies:
    - kio-dev -> libkf5kio-dev
  * Link in as-needed mode.
  * Update Vcs-* fields.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sat, 19 May 2018 17:57:20 -0400

kio-gdrive (1.2.2-1) unstable; urgency=medium

  * Import Neon packaging version 1.2.1-0neon. (Closes: #884337)
  * New upstream version.
  * Update copyright.  Thanks to Sandro Knauß for the review.
  * debian/copyright: Use secure URL for Source.
  * Declare compat level 11.
  * debian/control:
    - Update maintainer and uploader fields.
    - Drop Ubuntu(and derivatives)-specific XSBC-Original-Maintainer.
    - Switch to debhelper 11.
    - Update upstream homepage URL.
    - Add missing Build-Depends to fix FTBS (libkf5doctools-dev,
      appstream, libkf5notifications-dev, and intltool).
    - Update Build-Depends from CMakeLists.txt.
    - Drop libqt5webengine5 from Depends.
    - Promote kaccounts-integration from Recommends to Depends, because
      the package does not appear to function without it.
    - Bump pkg-kde-tools dep to the probable 1st version --with kf5.
  * Drop empty kio-gdrive.install.
  * Add gbp.conf.
  * Drop kio-gdrive.lintian-overrides because it is an unused-override.
  * Update Vcs links to use salsa, and use canonical Vcs names.
  * debian/rules:
    - Remove extra whitespace.
    - Switch from including debian-qt-kde.mk to --with kf5 sequence
  * Update watch file to use https and qt-kde-team preferred format.
  * Add DEP 12 upstream metadata.
  * Declare Standards-Version: 4.1.4.
  * Drop qt5keychain-dev from Build-Deps.
  * Add README.source and drop comments from debian/control.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Mon, 09 Apr 2018 14:56:37 -0400

=== debian/control ===
Source: kio-gdrive
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
Build-Depends:
 appstream,
 cmake (>= 3.0.0~),
 debhelper (>= 11~),
 extra-cmake-modules (>= 5.14.0~),
 intltool,
 libaccounts-glib-dev,
 libkaccounts-dev (>= 17.04.0~),
 libkf5doctools-dev (>= 5.14.0~),
 libkf5kio-dev (>= 5.14.0~),
 libkf5notifications-dev (>= 5.14.0~),
 libkpimgapi-dev (>= 17.04.0~),
 pkg-config,
 pkg-kde-tools (>= 0.15.24~),
 qtbase5-dev (>= 5.2.0~),
Standards-Version: 4.1.4
Homepage: https://community.kde.org/KIO_GDrive
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kio-gdrive.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kio-gdrive

Package: kio-gdrive
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 kaccounts-integration
Enhances: dolphin
Description: KIO access for GDrive
 KIO GDrive enables KIO-aware applications (such as Dolphin, Kate
 or Gwenview) to access and edit Google Drive files in the cloud.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/kio-gdrive/([\d.]+)/src/kio-gdrive-([\d.]+).tar.xz

## kio-gdrive 1.2.5+fixedtarball

=== debian/changelog ===
kio-gdrive (1.2.5+fixedtarball-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 12:35:05 +0800

kio-gdrive (1.2.5+fixedtarball-1) unstable; urgency=medium

  * Restore missing translations. (Closes: #915496)
    - Previous release was accidentally built from git tag rather than from
      upstream tarball.  This release uses the correct orig tarball.
  * Add dversionmangle to watch file.
  * Declare Standards-Version: 4.3.0. (No additional changes needed)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sat, 12 Jan 2019 14:15:46 -0700

kio-gdrive (1.2.5-1) unstable; urgency=medium

  * New upstream version.
  * Drop patches that were merged into this upstream release:
    - 0001-appstream-don-t-use-hyphen-in-the-component-id.patch
    - 0002-Add-screenshot-to-gdrive.appdata.xml.patch
  * debian/copyright: Update Elvis Angelaccio's email address to reflect
    updates that were made upstream.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sat, 01 Dec 2018 19:54:03 -0500

kio-gdrive (1.2.4-2) unstable; urgency=medium

  * Import upstream patch to fix appstream validation warning.
    - 0001-appstream-don-t-use-hyphen-in-the-component-id.patch
  * Import upstream patch to add screenshot to gdrive.appdata.xml.
    - 0002-Add-screenshot-to-gdrive.appdata.xml.patch
  * Install upstream's README.md, because it documents known issues and
    provides a link to kio-gdrive's TODO task tracker.
  * Declare Standards-Version: 4.2.1. (No additional changes needed)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Wed, 03 Oct 2018 16:19:47 -0400

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  pkg-config,
  pkg-kde-tools (>= 0.15.24~),
  qtbase5-dev (>= 5.2.0~),
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: https://community.kde.org/KIO_GDrive
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kio-gdrive.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kio-gdrive

## kio-gdrive 1.2.7

=== desktop/CMakeLists.txt ===
install(FILES gdrive-network.desktop
        DESTINATION ${KDE_INSTALL_DATADIR}/remoteview)
install(FILES org.kde.kio-gdrive.appdata.xml
        DESTINATION ${KDE_INSTALL_METAINFODIR})

=== debian/changelog ===
kio-gdrive (1.2.7-1build2) focal; urgency=medium

  * No-change rebuild against KDE PIM 19.12.3

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Apr 2020 19:13:40 +0100

kio-gdrive (1.2.7-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:17:14 +0100

kio-gdrive (1.2.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - kio-gdrive-1.2.6_translations.patch: drop, backported from upstream
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.

 -- Pino Toscano <pino@debian.org>  Thu, 07 Nov 2019 07:59:10 +0100

kio-gdrive (1.2.5+fixedtarball-2) unstable; urgency=medium

  * Add kio-gdrive-1.2.6_translations.patch.
    Upstream's v1.2.6 release is v1.2.5 plus this patch.  ISO language
    codes for the enhanced translations are "zh-CN", "zh-TW", and "id".

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 16 Jun 2019 16:37:28 -0400

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  pkg-config,
  pkg-kde-tools (>= 0.15.24~),
  qtbase5-dev (>= 5.2.0~),
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://community.kde.org/KIO_GDrive
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kio-gdrive.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kio-gdrive

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/,dversionmangle=s/\+(debian|dfsg|ds|deb|fixedtarball)(\.?\d+)?$// https://download.kde.org/stable/kio-gdrive/([\d.]+)/src/kio-gdrive-([\d.]+).tar.xz

## kio-gdrive 20.08.1

=== debian/changelog ===
kio-gdrive (20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:54:20 +0100

kio-gdrive (20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:47:34 +0100

kio-gdrive (1.3.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (1.3.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:29:33 +0100

=== debian/control ===
Source: kio-gdrive
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
Build-Depends: appstream,
               cmake (>= 3.0.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.14.0~),
               intltool,
               libaccounts-glib-dev,
               libkaccounts-dev (>= 4:20.08.1~),
               libkf5doctools-dev (>= 5.14.0~),
               libkf5kio-dev (>= 5.14.0~),
               libkf5notifications-dev (>= 5.14.0~),
               libkpimgapi-dev (>= 20.08.1~),
               pkg-config,
               pkg-kde-tools (>= 0.15.24~),
               qtbase5-dev (>= 5.2.0~),
Standards-Version: 4.4.1
Homepage: https://community.kde.org/KIO_GDrive
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kio-gdrive.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kio-gdrive

Package: kio-gdrive
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 kaccounts-integration
Enhances: dolphin
Description: KIO access for GDrive
 KIO GDrive enables KIO-aware applications (such as Dolphin, Kate
 or Gwenview) to access and edit Google Drive files in the cloud.

## kio-gdrive 20.12.2

=== src/integration/contextmenuaction/CMakeLists.txt ===
kcoreaddons_add_plugin(gdrivecontextmenuaction
    SOURCES contextmenuaction.cpp
    JSON contextmenuaction.json
    INSTALL_NAMESPACE "kf5/kfileitemaction")

target_link_libraries(gdrivecontextmenuaction
    KF5::I18n
    KF5::KIOWidgets)

=== src/integration/propertiesplugin/CMakeLists.txt ===
set(gdrivepropertiesplugin_SRCS
    gdrivepropertiesplugin.cpp
    ../../gdrivedebug.cpp
)

ki18n_wrap_ui(gdrivepropertiesplugin_SRCS gdrivepropertiesplugin.ui)

kcoreaddons_add_plugin(gdrivepropertiesplugin
    SOURCES ${gdrivepropertiesplugin_SRCS}
    JSON gdrivepropertiesplugin.json
    INSTALL_NAMESPACE "kf5/propertiesdialog")

target_link_libraries(gdrivepropertiesplugin
    KF5::I18n
    KF5::KIOWidgets
)

=== debian/changelog ===
kio-gdrive (20.12.2-1) unstable; urgency=medium

  * New upstream release.
  * Update my email address and copyright years.

 -- Nicholas D Steeves <sten@debian.org>  Thu, 11 Feb 2021 16:52:41 -0500

kio-gdrive (20.12.1-1) unstable; urgency=medium

  * Team upload.

  [ Nicholas D Steeves ]
  * New upstream release 20.12.1.
  * Add copyright entry for David Barchiesi that is missing in the
    20.12.0-1 release.
  * Indent copyright holders for debian/* to make this section more readable
    to humans.
  * Activate DEB_BUILD_MAINT_OPTIONS=hardening=+all.
  * Add stanza for gdrive_udsentry.h and gdrivepropertiesplugin.* that is
    missing in the 20.12.0-1 release.  See the Comment field for this stanza
    in copyright for more information.

  [ Aurélien COUDERC ]
  * Point Source in debian/copyright to the upstream git repo.
  * Refresh upstream metadata.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 14 Jan 2021 23:27:44 +0100

kio-gdrive (20.12.0-1) unstable; urgency=medium

  * Team upload.

  [ Nicholas D Steeves ]
  * New upstream release.
  * Adjust watch file to use the new release service.
  * Replace existing signing-key.asc with the copy used by
    kaccounts-providers.
  * Synchronise Build-Depends with upstream CMakelists.txt:
    - Minimum supported Frameworks is now 5.71.0.
  * Declare Standards-Version: 4.5.1. (no changes required)

  [ Pino Toscano ]
  * New upstream release.
  * Remove unused dversionmangle in watch file.
  * Update references to the upstream Git repository.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * Update Vcs-* fields.
  * Add license text for CC0-1.0 in copyright.

 -- Pino Toscano <pino@debian.org>  Wed, 16 Dec 2020 12:54:25 +0100

kio-gdrive (1.3.0-2) unstable; urgency=medium

  * Team upload.
  * Fix missing epoch in the version of the libkaccounts-dev build dependency.

 -- Pino Toscano <pino@debian.org>  Thu, 13 Aug 2020 23:03:06 +0200

kio-gdrive (1.3.0-1) unstable; urgency=medium

  * Team upload.

  [ Nicholas D Steeves ]
  * New upstream release. (Closes: #948207)
  * Add copyright info for desktop/org.kde.kio-gdrive.appdata.xml.
  * Update my copyright years.
  * Synchronise Build-Depends with upstream CMakeLists.txt:
    - Minimum supported Frameworks are now 5.48.0.
    - Minimum supported KAccounts is now 20.03.80.
  * rules: Drop 'DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed', because it is
    now activated by default.

  [ Pino Toscano ]
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Update Vcs-* fields.

 -- Pino Toscano <pino@debian.org>  Thu, 13 Aug 2020 22:17:34 +0200

=== debian/control ===
Source: kio-gdrive
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Nicholas D Steeves <sten@debian.org>
Build-Depends:
 appstream,
 cmake (>= 3.0.0~),
 debhelper-compat (= 13),
 extra-cmake-modules (>= 5.14.0~),
 intltool,
 libaccounts-glib-dev,
 libkaccounts-dev (>= 4:20.03.80~),
 libkf5doctools-dev (>= 5.71.0~),
 libkf5kio-dev (>= 5.71.0~),
 libkf5notifications-dev (>= 5.71.0~),
 libkpimgapi-dev (>= 20.03.80~),
 pkg-config,
 pkg-kde-tools (>= 0.15.24~),
 qtbase5-dev (>= 5.2.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://invent.kde.org/network/kio-gdrive
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kio-gdrive.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kio-gdrive

Package: kio-gdrive
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 kaccounts-integration
Enhances: dolphin
Description: KIO access for GDrive
 KIO GDrive enables KIO-aware applications (such as Dolphin, Kate
 or Gwenview) to access and edit Google Drive files in the cloud.

## kio-gdrive 20.12.3

=== debian/changelog ===
kio-gdrive (20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:20:48 +0000

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,20 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Nicholas D Steeves <sten@debian.org>
-Build-Depends:
- appstream,
- cmake (>= 3.0.0~),
- debhelper-compat (= 13),
- extra-cmake-modules (>= 5.14.0~),
- intltool,
- libaccounts-glib-dev,
- libkaccounts-dev (>= 4:20.03.80~),
- libkf5doctools-dev (>= 5.71.0~),
- libkf5kio-dev (>= 5.71.0~),
- libkf5notifications-dev (>= 5.71.0~),
- libkpimgapi-dev (>= 20.03.80~),
- pkg-config,
- pkg-kde-tools (>= 0.15.24~),
- qtbase5-dev (>= 5.2.0~),
+Build-Depends: appstream,
+               cmake (>= 3.0.0~),
+               debhelper-compat (= 13),
+               extra-cmake-modules (>= 5.14.0~),
+               intltool,
+               libaccounts-glib-dev,
+               libkaccounts-dev (>= 4:20.12.3~),
+               libkf5doctools-dev (>= 5.71.0~),
+               libkf5kio-dev (>= 5.71.0~),
+               libkf5notifications-dev (>= 5.71.0~),
+               libkpimgapi-dev (>= 20.12.3~),
+               pkg-config,
+               pkg-kde-tools (>= 0.15.24~),
+               qtbase5-dev (>= 5.2.0~),
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/network/kio-gdrive

## kio-gdrive 21.08.1

=== debian/changelog ===
kio-gdrive (21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:34:18 +0100

kio-gdrive (21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:03:02 +0100

kio-gdrive (21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:56:28 +0100

kio-gdrive (21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jul 2021 10:43:01 +0100

kio-gdrive (21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:44:08 +0100

kio-gdrive (21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:54:58 +0100

kio-gdrive (21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:07:15 +0100

kio-gdrive (21.04.0-0ubuntu1) impish; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.04.0)

  [ José Manuel Santamaría Lema ]
  * Add libkf5purpose-dev to build depends

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:36:36 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,12 @@
                extra-cmake-modules (>= 5.14.0~),
                intltool,
                libaccounts-glib-dev,
-               libkaccounts-dev (>= 4:20.12.3~),
+               libkaccounts-dev (>= 4:21.08.1~),
                libkf5doctools-dev (>= 5.71.0~),
                libkf5kio-dev (>= 5.71.0~),
                libkf5notifications-dev (>= 5.71.0~),
-               libkpimgapi-dev (>= 20.12.3~),
+               libkf5purpose-dev,
+               libkpimgapi-dev (>= 21.08.1~),
                pkg-config,
                pkg-kde-tools (>= 0.15.24~),
                qtbase5-dev (>= 5.2.0~),

## kio-gdrive 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,16 @@
 cmake_minimum_required(VERSION 3.0)
 
-set(GDRIVE_VERSION 1.2.4)
-project(kio-gdrive VERSION ${GDRIVE_VERSION})
+# KDE Application Version, managed by release script
+set (RELEASE_SERVICE_VERSION_MAJOR "21")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
+project(kio-gdrive VERSION ${RELEASE_SERVICE_VERSION})
 
 set(QT_MIN_VERSION 5.2.0)
-set(KF5_MIN_VERSION 5.14.0)
-set(KGAPI_MIN_VERSION 5.5.0)
-set(KACCOUNTS_MIN_VERSION 17.04.0)
+set(KF5_MIN_VERSION 5.71.0)
+set(KGAPI_MIN_VERSION 5.11.41)
+set(KACCOUNTS_MIN_VERSION 20.03.80)
 set(QTKEYCHAIN_MIN_VERSION 0.6.0)
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
@@ -31,6 +35,10 @@
 
 find_package(KPimGAPI ${KGAPI_MIN_VERSION} REQUIRED)
 
+find_package(KF5Purpose ${KF5_MIN_VERSION}) # Optional since it depends on KAccounts
+
+set_package_properties(KF5Purpose PROPERTIES TYPE RECOMMENDED PURPOSE "Enables the Share menu plugin.")
+
 find_package(KAccounts ${KACCOUNTS_MIN_VERSION})
 set_package_properties(KAccounts PROPERTIES
     TYPE RECOMMENDED
@@ -54,7 +62,7 @@
    set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
 endif()
 
-ecm_setup_version(PROJECT
+ecm_setup_version(${RELEASE_SERVICE_VERSION}
     VARIABLE_PREFIX GDRIVE
     VERSION_HEADER gdriveversion.h)
 
@@ -69,6 +77,10 @@
 add_subdirectory(doc)
 add_subdirectory(src)
 
+if (KF5Purpose_FOUND)
+    add_subdirectory(purpose)
+endif()
+
 if (KAccounts_FOUND)
     message(STATUS "Building the KAccounts backend.")
     add_subdirectory(kaccounts)
@@ -76,11 +88,7 @@
 
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
-
-find_package(KF5I18n CONFIG REQUIRED)
 ki18n_install(po)
-
-  find_package(KF5DocTools CONFIG)
-  if(KF5DocTools_FOUND)
-    kdoctools_install(po)
-  endif()
+if (KF5DocTools_FOUND)
+ kdoctools_install(po)
+endif()

=== purpose/CMakeLists.txt ===
kcoreaddons_add_plugin(purpose_gdrive SOURCES purpose_gdrive.cpp gdrivejob.cpp JSON "purpose_gdrive.json" INSTALL_NAMESPACE "kf5/purpose")
target_link_libraries(purpose_gdrive Qt5::Core KF5::Purpose)
set_target_properties(purpose_gdrive PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/kf5/purpose")
install(FILES "purpose_gdrive_config.qml" DESTINATION ${KDE_INSTALL_DATADIR}/purpose)

target_link_libraries(purpose_gdrive KF5::KIOCore KF5::I18n KF5::Purpose)

=== debian/changelog ===
kio-gdrive (21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:11:29 +0000

kio-gdrive (21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:18:01 +0000

kio-gdrive (21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:25:57 +0000

kio-gdrive (21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:23:02 +0000

kio-gdrive (21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:07:32 +0000

kio-gdrive (21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:18:15 +0000

kio-gdrive (21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)
  * Build depend on libkf5purpose-dev

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 23:30:36 +0000

kio-gdrive (21.08.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:40:47 +0000

kio-gdrive (21.08.2-1) unstable; urgency=medium

  * New upstream release (21.08.2).

 -- Nicholas D Steeves <sten@debian.org>  Mon, 11 Oct 2021 21:16:32 -0400

kio-gdrive (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:14:34 +0900

kio-gdrive (21.04.0-2) experimental; urgency=medium

  * Team upload.
  * Rebuild against 21.04 KDE PIM libs.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 13 May 2021 15:20:15 +0200

kio-gdrive (21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Update upstream signing key.
  * New upstream release (21.04.0).
  * Add myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Fri, 23 Apr 2021 11:19:05 +0900

=== debian/control ===
Source: kio-gdrive
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Nicholas D Steeves <sten@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: appstream,
               cmake (>= 3.0.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.71.0~),
               intltool,
               libaccounts-glib-dev,
               libkaccounts-dev (>= 4:21.12.3~),
               libkf5doctools-dev (>= 5.71.0~),
               libkf5i18n-dev (>= 5.71.0~),
               libkf5kio-dev (>= 5.71.0~),
               libkf5notifications-dev (>= 5.71.0~),
               libkf5purpose-dev,
               libkpimgapi-dev (>= 21.12.3~),
               pkg-config,
               pkg-kde-tools (>= 0.15.24~),
               qt5keychain-dev (>= 0.6.0~),
               qtbase5-dev (>= 5.2.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://invent.kde.org/network/kio-gdrive
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-gdrive
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-gdrive

Package: kio-gdrive
Architecture: any
Depends: kaccounts-integration, ${misc:Depends}, ${shlibs:Depends}
Enhances: dolphin
Description: KIO access for GDrive
 KIO GDrive enables KIO-aware applications (such as Dolphin, Kate
 or Gwenview) to access and edit Google Drive files in the cloud.

## kio-gdrive 22.08.1

=== debian/changelog ===
kio-gdrive (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:40:52 +0100

kio-gdrive (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:50:39 +0100

kio-gdrive (22.04.3-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Update upstream signing key.
    - Build depend on 22.04.3 packages.
    - Optional build depend on libkf5purpose-dev
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Jul 2022 10:27:49 +0100

kio-gdrive (22.04.3-1) unstable; urgency=medium

  * New upstream release.
  * Synchronise Build-Depends with upstream CMakelists.txt:
    - Minimum supported cmake is now 3.16.
    - Minimum supported Qt is now 5.15.0.

 -- Nicholas D Steeves <sten@debian.org>  Sun, 10 Jul 2022 15:59:00 -0400

kio-gdrive (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:28:16 +0100

kio-gdrive (22.04.2-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Update upstream signing key.
    - Build depend on 22.04.2 packages.
    - Optional build depend on libkf5purpose-dev
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Jun 2022 05:59:02 +0100

kio-gdrive (22.04.2-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Sat, 11 Jun 2022 16:30:41 -0400

kio-gdrive (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:02:26 +0100

kio-gdrive (22.04.1-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Update upstream signing key.
    - Build depend on 22.04.1 packages.
    - Optional build depend on libkf5purpose-dev
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Fri, 20 May 2022 10:53:41 +0100

kio-gdrive (22.04.1-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 13 May 2022 06:57:25 -0400

kio-gdrive (22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:00:53 +0100

kio-gdrive (22.04.0-1) unstable; urgency=medium

  * New upstream release (22.04.0).

 -- Nicholas D Steeves <sten@debian.org>  Sun, 01 May 2022 15:42:49 -0400

kio-gdrive (22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:48:48 +0100

kio-gdrive (21.12.3-1) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * New upstream release (21.12.2).
  * Declare Standards-Version: 4.6.0 (no changes required).

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Mar 2022 22:55:01 +0100

=== debian/control ===
--- 
+++ 
@@ -3,26 +3,27 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Nicholas D Steeves <sten@debian.org>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Nicholas D Steeves <sten@debian.org>,
            Norbert Preining <norbert@preining.info>,
 Build-Depends: appstream,
-               cmake (>= 3.0.0~),
+               cmake (>= 3.16~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.71.0~),
                intltool,
                libaccounts-glib-dev,
-               libkaccounts-dev (>= 4:21.12.3~),
+               libkaccounts-dev (>= 4:22.08.1~),
                libkf5doctools-dev (>= 5.71.0~),
                libkf5i18n-dev (>= 5.71.0~),
                libkf5kio-dev (>= 5.71.0~),
                libkf5notifications-dev (>= 5.71.0~),
                libkf5purpose-dev,
-               libkpimgapi-dev (>= 21.12.3~),
+               libkpimgapi-dev (>= 22.08.1~),
                pkg-config,
                pkg-kde-tools (>= 0.15.24~),
                qt5keychain-dev (>= 0.6.0~),
-               qtbase5-dev (>= 5.2.0~),
-Standards-Version: 4.5.1
+               qtbase5-dev (>= 5.15.0~),
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/network/kio-gdrive
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-gdrive

## kio-gdrive 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,22 +1,17 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "21")
+set (RELEASE_SERVICE_VERSION_MAJOR "22")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
 set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(kio-gdrive VERSION ${RELEASE_SERVICE_VERSION})
 
-set(QT_MIN_VERSION 5.2.0)
-set(KF5_MIN_VERSION 5.71.0)
+set(QT_MIN_VERSION 5.15.2)
+set(KF5_MIN_VERSION 5.96.0)
 set(KGAPI_MIN_VERSION 5.11.41)
 set(KACCOUNTS_MIN_VERSION 20.03.80)
 set(QTKEYCHAIN_MIN_VERSION 0.6.0)
-
-find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
-    Gui
-    Network
-    Widgets)
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${ECM_MODULE_PATH})
@@ -27,6 +22,12 @@
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMQtDeclareLoggingCategory)
 include(ECMSetupVersion)
+
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
+    Gui
+    Network
+    Widgets)
+
 
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
     I18n
@@ -46,7 +47,7 @@
     PURPOSE "Enables integration with system-wide accounts.")
 
 if (NOT KAccounts_FOUND)
-    find_package(Qt5Keychain ${QTKEYCHAIN_MIN_VERSION} REQUIRED)
+    find_package(Qt${QT_MAJOR_VERSION}Keychain ${QTKEYCHAIN_MIN_VERSION} REQUIRED)
     set_package_properties(Qt5Keychain PROPERTIES
         URL "https://github.com/frankosterfeld/qtkeychain"
         PURPOSE "Required for secure storage of accounts secrets.")
@@ -86,9 +87,7 @@
     add_subdirectory(kaccounts)
 endif()
 
+ki18n_install(po)
+kdoctools_install(po)
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
-ki18n_install(po)
-if (KF5DocTools_FOUND)
- kdoctools_install(po)
-endif()

=== kaccounts/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 kaccounts_add_service(${CMAKE_CURRENT_SOURCE_DIR}/google-drive.service.in)
 
 kcoreaddons_add_plugin(kaccounts_gdrive
+    JSON kaccountsplugin.json
     SOURCES kaccountsplugin.cpp
     INSTALL_NAMESPACE kaccounts/daemonplugins)
 
@@ -14,4 +15,4 @@
     KF5::I18n
     KF5::Notifications)
 
-install(FILES gdrive.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR})
+install(FILES gdrive.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
 include_directories(${CMAKE_SOURCE_DIR})
 include_directories(${CMAKE_BINARY_DIR})
+
+add_subdirectory(integration)
 
 set(kio_gdrive_SRCS
     kio_gdrive.cpp
@@ -30,11 +32,11 @@
 
 kcoreaddons_add_plugin(kio_gdrive
     SOURCES ${kio_gdrive_SRCS}
-    INSTALL_NAMESPACE kf5/kio)
+    INSTALL_NAMESPACE kf${QT_MAJOR_VERSION}/kio)
 
 target_link_libraries(kio_gdrive
-    Qt5::Core
-    Qt5::Network
+    Qt::Core
+    Qt::Network
     KPim::GAPICore
     KPim::GAPIDrive
     KF5::KIOCore

=== src/integration/propertiesplugin/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 kcoreaddons_add_plugin(gdrivepropertiesplugin
     SOURCES ${gdrivepropertiesplugin_SRCS}
     JSON gdrivepropertiesplugin.json
-    INSTALL_NAMESPACE "kf5/propertiesdialog")
+    INSTALL_NAMESPACE "kf${QT_MAJOR_VERSION}/propertiesdialog")
 
 target_link_libraries(gdrivepropertiesplugin
     KF5::I18n

=== debian/changelog ===
kio-gdrive (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:16 +0100

kio-gdrive (22.12.2-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Sat, 11 Feb 2023 19:56:30 -0500

kio-gdrive (22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:04:26 +0100

kio-gdrive (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:31 +0100

kio-gdrive (22.08.3-1) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * New upstream release.
  * Declare Standards-Version: 4.6.1 (no changes required).

  [ Aurélien COUDERC ]
  * Update build-deps and deps with the info from cmake.

 -- Nicholas D Steeves <sten@debian.org>  Tue, 15 Nov 2022 19:52:08 -0500

kio-gdrive (22.08.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop Norbert Preining from Uploaders on his request.
  * Update my copyright years.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 23 Sep 2022 18:51:30 -0400

=== debian/control ===
Source: kio-gdrive
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Nicholas D Steeves <sten@debian.org>,
Build-Depends: appstream,
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.96.0~),
               intltool,
               libaccounts-glib-dev,
               libkaccounts-dev (>= 4:20.03.80~),
               libkf5doctools-dev (>= 5.96.0~),
               libkf5i18n-dev (>= 5.96.0~),
               libkf5kio-dev (>= 5.96.0~),
               libkf5notifications-dev (>= 5.96.0~),
               libkpimgapi-dev (>= 20.03.80~),
               pkg-config,
               pkg-kde-tools (>= 0.15.24~),
               qt5keychain-dev (>= 0.6.0~),
               qtbase5-dev (>= 5.15.2~),
               qtkeychain-qt5-dev (>= 0.6.0~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/network/kio-gdrive
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kio-gdrive.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kio-gdrive

Package: kio-gdrive
Architecture: any
Depends: kaccounts-integration, ${misc:Depends}, ${shlibs:Depends},
Enhances: dolphin,
Description: KIO access for GDrive
 KIO GDrive enables KIO-aware applications (such as Dolphin, Kate
 or Gwenview) to access and edit Google Drive files in the cloud.

## kio-gdrive 23.08.0

=== debian/changelog ===
kio-gdrive (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:54:59 +0100

kio-gdrive (23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:34:45 +0100

kio-gdrive (23.04.3-1ubuntu1) mantic; urgency=medium

  * Kubuntu Vcs and maintainer fields.
  * Update upstream signing key.
  * KDE Gear build deps bumped to (>= 23.04.3~)
  * Optional build dep on libkf5purpose-dev. Enables the Share
    menu plugin.

 -- Rik Mills <rikmills@kde.org>  Sat, 22 Jul 2023 16:15:46 +0100

kio-gdrive (23.04.3-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 21 Jul 2023 17:59:30 -0400

kio-gdrive (23.04.2-1) unstable; urgency=medium

  * New upstream release.
  * Synchronise Build-Depends with upstream CMakeLists.txt:
    - The minimum required version of Qt is now 5.15.2.
    - The minimum required version of KDE Frameworks is now 5.96.0.
  * Update copyright, add new copyright holders as well as new LGPL-2.1+
    section.
  * Update my copyright years.
  * Declare Standards-Version: 4.6.2 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Wed, 14 Jun 2023 17:44:34 -0400

=== debian/control ===
Source: kio-gdrive
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Nicholas D Steeves <sten@debian.org>,
Build-Depends: appstream,
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.96.0~),
               intltool,
               libaccounts-glib-dev,
               libkaccounts-dev (>= 4:23.08.0~),
               libkf5doctools-dev (>= 5.96.0~),
               libkf5i18n-dev (>= 5.96.0~),
               libkf5kio-dev (>= 5.96.0~),
               libkf5notifications-dev (>= 5.96.0~),
               libkf5purpose-dev (>= 5.96.0~),
               libkpimgapi-dev (>= 23.08.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.24~),
               qt5keychain-dev (>= 0.6.0~),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/network/kio-gdrive
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-gdrive
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-gdrive

Package: kio-gdrive
Architecture: any
Depends: kaccounts-integration, ${misc:Depends}, ${shlibs:Depends}
Enhances: dolphin
Description: KIO access for GDrive
 KIO GDrive enables KIO-aware applications (such as Dolphin, Kate
 or Gwenview) to access and edit Google Drive files in the cloud.

## kio-gdrive 23.08.1

=== debian/changelog ===
kio-gdrive (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:00:02 +0100

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
                extra-cmake-modules (>= 5.96.0~),
                intltool,
                libaccounts-glib-dev,
-               libkaccounts-dev (>= 4:23.08.0~),
+               libkaccounts-dev (>= 4:23.08.1~),
                libkf5doctools-dev (>= 5.96.0~),
                libkf5i18n-dev (>= 5.96.0~),
                libkf5kio-dev (>= 5.96.0~),
                libkf5notifications-dev (>= 5.96.0~),
                libkf5purpose-dev (>= 5.96.0~),
-               libkpimgapi-dev (>= 23.08.0~),
+               libkpimgapi-dev (>= 23.08.1~),
                pkg-config,
                pkg-kde-tools (>= 0.15.24~),
                qt5keychain-dev (>= 0.6.0~),

## kio-gdrive 23.08.4

=== debian/changelog ===
kio-gdrive (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:16:11 +0000

kio-gdrive (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:35:50 +0000

kio-gdrive (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:32:05 +0100

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
                extra-cmake-modules (>= 5.96.0~),
                intltool,
                libaccounts-glib-dev,
-               libkaccounts-dev (>= 4:23.08.1~),
+               libkaccounts-dev (>= 4:23.08.4~),
                libkf5doctools-dev (>= 5.96.0~),
                libkf5i18n-dev (>= 5.96.0~),
                libkf5kio-dev (>= 5.96.0~),
                libkf5notifications-dev (>= 5.96.0~),
                libkf5purpose-dev (>= 5.96.0~),
-               libkpimgapi-dev (>= 23.08.1~),
+               libkpimgapi-dev (>= 23.08.4~),
                pkg-config,
                pkg-kde-tools (>= 0.15.24~),
                qt5keychain-dev (>= 0.6.0~),
